> For the complete documentation index, see [llms.txt](https://docs.drivequant.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.drivequant.com/challenge/user-interface/ios/get-started.md).

# Get started

## **Prerequisite**

Before starting DriveKit Challenge UI integration, make sure that you have initialized [Challenge](/challenge/ios/get-started.md) and [Common UI](https://docs.drivequant.com/common-ui/ios/get-started) modules.

## **Integration**

To add the Challenge UI module to your app using **Swift Package Manager**, add `DriveKitChallengeUI` from repository: `https://github.com/DriveQuantPublic/drivekit-ui-ios.git` as dependency.

{% hint style="info" %}
On [this Github repository](https://github.com/DriveQuantPublic/drivekit-ui-ios), you can find also a demo application that contains the DriveKit challenge component. This code is open source and you can use it as an example.
{% endhint %}

## **Initialization**

If you have [disabled the SDK auto-initialization](/get-started-drivekit/ios/advanced-configurations.md#manually-initialize-the-sdk), the Challenge UI module must also be manually initialized. In the application's AppDelegate file, import `DriveKitChallengeUI`:

```swift
import DriveKitChallengeUI
```

Then, to initialize Challenge UI module in your app, you must call the initialization method in `didFinishLaunchingWithOptions` method of your AppDelegate:

```swift
import DriveKitCore
import DriveKitCommonUI
import DriveKitChallengeUI

func application(_ application: UIApplication, didFinishLaunchingWithOptions launchOptions: [UIApplication.LaunchOptionsKey: Any]?) -> Bool {
    DriveKit.shared.initialize()
    DriveKitUI.shared.initialize()
    DriveKitChallengeUI.shared.initialize()
    ...    
}
```

## **Display Challenge List**

To display the challenges list, just call the following method:

```swift
self.navigationController?.pushViewController(DriveKitChallengeUI.shared.getChallengeListViewController(), animated: true)
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.drivequant.com/challenge/user-interface/ios/get-started.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
